
Figure - Bug #116957
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111055 (New): AF-V2.0-Launcher/SystemUI-控制中心-4播放器

【AF】【EVT】【音乐播放器】打开音乐，播放歌曲，移除音乐进程卡片，控制中心的音乐播放器未立即恢
复无歌曲模式，且1分钟中音乐播放器会短暂消失
2023-03-15 14:00 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-15

Priority: Normal Due date: 2023-04-19

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0092.C103(X103)

Reproducibility: Every time Fixed Version: 2023-04-14

Test Type: ST Root cause: 原生针对服务的策略。

Description

【前提条件】

1、设备正常启动

【测试步骤】）

1、打开音乐，播放歌曲

2、进入任务管理器

3、移除音乐进程卡片

4、打开控制中心

【预期结果】

4、控制中心的音乐播放器恢复无歌曲模式

【实际结果】

4、控制中心的音乐播放器未立即恢复无歌曲模式，且1分钟中音乐播放器会短暂消失

【复现率】

3/3

History

#1 - 2023-03-15 17:08 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2023-03-20 19:45 - CD FW-廖涛

- % Done changed from 0 to 30

■ My analysis

根据目前的分析，音乐控制器在音乐播放器被杀掉后，会短暂恢复空占位状态，然后又展示音乐信息，在大约 1 分钟后又恢复到空占位状态。原因是，

在主动杀掉音乐进程后，系统回到 MediaSession 变更通知，没有音乐信息，展示空占位，然后音乐进程被系统拉起，音乐相关服务重启 MediaSession，将

音乐信息通知发出展示在音乐控制器中，大约 1 分钟后，音乐服务进行终止，MediaSession 被释放，音乐控制器恢复空占位状态。

通过第三方音乐 App 的情况分析，基本与系统音乐的现象一致。
■ Next action

根据目前的分析看，音乐播放控制器的行为表现符合逻辑预期，后期找其他机器对比分析。

#3 - 2023-03-28 10:05 - CD FW 曹覃刚

- Due date set to 2023-04-04

#4 - 2023-04-04 19:03 - CD FW-廖涛

- Due date changed from 2023-04-04 to 2023-04-07

■ My analysis

音乐从 Recent 清除后，音乐服务可能会再次被系统拉起，服务会发送音乐控制数据给控制中心，且控制中心可操作，这个为系统策略，不做处理。

目前系统表现，音乐被杀掉后服务没有再被重启。这个现象需要进一步分析。

针对音乐播放控制器短暂消失的问题是由于从有音乐数据变为空占位，布局刷新导致，需调整布局的处理逻辑。

#5 - 2023-04-10 20:52 - CD FW-廖涛

- Due date changed from 2023-04-07 to 2023-04-11

#6 - 2023-04-11 09:53 - CD FW-廖涛

- Due date changed from 2023-04-11 to 2023-04-19

■ My analysis

1. 通过分析，移除音乐进程后，音乐停止播放，并且卡片恢复无歌曲模式，但是很快系统会把音乐播放服务拉起来，音乐卡片会刷新，又变为一个有歌

曲的模式，并且音乐控制卡片为可操作状态，根据和其他音乐 App 对比，这个系统行为为正常现象，不需要做处理；

2. 经过分析，1分钟后音乐播放器卡片会短暂消失，是因为音乐服务被系统拉起后，没有进行任何操作，即为空闲状态，系统每间隔 1 分钟会检查当前所

有的服务状态，若为空闲，会被系统杀掉。音乐播放器卡片从有歌曲状态变为无歌曲状态，是通过移除和重建的方式实现的，所以播放器卡片会先消失

，然后再创建一个新的加入到视图容器中。

■ Next action

针对问题 1 无需处理。

针对问题 2，需要将音乐播放器的卡片的更新方式从移除创建变更为刷新，该处理需要先梳理整个音乐播放器卡片的创建移除逻辑，然后修改其创建更

新流程。

#7 - 2023-04-14 15:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

192765 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:SystemUI: Optimize media controller view change logical.TC-RID: 1201-0201903IssueID: TS-R-BUG-116957Change-Id:

Ibc444d699da71b557689e6c51031393913809c7e

#8 - 2023-04-14 15:43 - CD FW-廖涛
- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-14

- Root cause set to 原生针对服务的策略。

■ Current conclusion

已处理，代码已入库。

■ My analysis

1. 针对音乐进程被杀掉后，播放控制器又出现，属于系统针对服务的策略，见之前的分析，所以不做处理，保持现状；

2. 针对音乐播放控制器短暂消失的问题，已经处理，麻烦验证。

■ Next action

测试验证。

#9 - 2023-04-18 15:53 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0092.C103(X103)

4.18

验证通过

#10 - 2023-04-18 15:54 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-03-15 13-58-29.zip 13.5 MB 2023-03-15 CD TEST-方永红
